# Send an individual MIDI clock tick

``

    midi_clock_tick

Sends a MIDI clock tick message to all connected devices on all channels. Use the `port:` and `channel:` opts to restrict which MIDI ports and channels are used.

Typical MIDI devices expect the clock to send 24 ticks per quarter note (typically a beat). See `midi_clock_beat` for a simple way of sending all the ticks for a given beat.

MIDI 1.0 Specification - System Real-Time Messages - Timing Clock

Introduced in v3.0

## Options

port: | MIDI port to send to
on: | If specified and false/nil/0 will stop the midi clock tick message from being sent out. (Ensures all opts are evaluated in this call to `midi_clock_tick` regardless of value).

## Example

# Example 1
``
    midi_clock_tick
| ``
    #=> Send an individual clock tick to all connected MIDI devices on all ports.